> For the complete documentation index, see [llms.txt](https://help.claritylims.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.claritylims.illumina.com/api-and-database/api-docs/automation/automation-tokens/project-automation-tokens.md).

# Project Automation Tokens

When configuring automations in BaseSpace Clarity LIMS, copy tokens from the Tokens list and paste them into the Command Line field.

These tokens are available for use in project automations. If using multiple variables, add a space between each entry. All tokens and parameters are case-sensitive.

| Token         | Purpose                                                                                                                                                                       | Example                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| {username}    | Supplies the username being configured in client.properties for the Automation Worker running the automation.                                                                 | <p><code>cmd /c "C:\ai\ai.bat {username}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat apiuser</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| {password}    | Supplies the password of the username being configured in client.properties for the Automation Worker running the automation.                                                 | <p><code>cmd /c "C:\ai\ai.bat {password}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat 3BlindMice</code></p><p>In log files, the password supplied on the command line is replaced with a series of \*\*\* characters</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| {baseURI}     | Supplies the base API URI to the triggered automation script.                                                                                                                 | <p><code>cmd /c "C:\ai\ai.bat {baseURI}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat [https://lims.lan.29/api/](https://help.claritylims.illumina.com/api-and-database/api-docs/automation/automation-tokens/https:/lims.lan.29/api)</code></p><p><code>cmd /c "C:\ai\ai.bat {baseURI}v2"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat [https://lims.lan.29/api/v2](https://help.claritylims.illumina.com/api-and-database/api-docs/automation/automation-tokens/https:/lims.lan.29/api/v2)</code></p><p><strong>NOTE</strong>: To access the endpoints, make sure that the {baseURI} is appended with v2. You can include this in the token in the command line, as shown above, or in the script itself.</p> |
| {projectLuid} | Supplies the URI of the step to the triggered automation script. Include the version parameter (ie, {stepURI:version}) to specify the version of the REST API to be accessed. | <p><code>cmd /c "C:\ai\ai.bat {C:\ai\ai.bat {projectLuid}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat ADM123</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.claritylims.illumina.com/api-and-database/api-docs/automation/automation-tokens/project-automation-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
